module focusmes_types

type focusmes_param_type 
   character(len=5) :: aperture_type
   character(len=9) :: oper_name
   character(len=128) :: tag_cig,tag_kurtosis,tag_semblance,tag_aperture
   character(len=128) :: tag_apert_dip,tag_apert_apert,tag_apert_apert_dip
   character(len=128) :: tag_sum_squares

   logical verb,debug1,debug2
   logical apert_ang_image,dip_ang_image,prestack_image,write_prestack
   logical semblance,kurtosis
   logical cig,aperture,sum_squares_input,zero_split_dip
   integer n_threads,max_memory
   integer n_z,n_mx,n_hx,n_gamma,n_dip,n_rho
   integer n_z_avg,n_mx_avg
   real d_z,d_mx,d_hx,d_gamma,d_dip,d_rho
   real z_0,mx_0,hx_0,gamma_0,dip_0,rho_0
   real global_threshold,local_threshold
   real flip_sign_dip,split_dip,split_dip_1,z_split_dip_1


end type focusmes_param_type 

end module focusmes_types

