module resmig_types

type resmig_param_type 
   character(len=128) :: oper_name
   character(len=128) :: tag_cig
   character(len=128) :: tag_cig_transf
   character(len=128) :: tag_resmig
   character(len=128) :: tag_sum_squares

   logical verb,debug1,debug2,adj
   logical apert_ang_image,dip_ang_image,write_prestack,write_sum_squares
   logical rmo_ang_cig,rmig_ang_cig
   logical write_cig_transf
   logical global_straight_rays,zero_dip,vertical_only
   logical cig
   integer n_threads,max_memory
   integer n_z,n_z_pad,n_mx,n_mx_pad,n_hx,n_hx_pad,n_gamma,n_rho,n_dip
   real d_z,d_mx,d_hx,d_gamma,d_rho,d_dip
   real z_0,mx_0,hx_0,gamma_0,rho_0,dip_0
   real flip_sign_dip

   real z_ref,max_dip,max_gamma,max_prop_ang

end type resmig_param_type 

end module resmig_types

