!!  FocusMes_v1
!
!
!%

program FocusMes_v1

  use sep
  use focusmes_types
  use FocusMes_mod

  implicit none

  interface 
     subroutine param_focusmes(focusmes_par)
       use focusmes_types
       type (focusmes_param_type) focusmes_par
     end subroutine param_focusmes
  end interface
 

  type (focusmes_param_type) focusmes_par
  logical adj,add
  integer stat
  character(len=128) tag_data,tag_mod
  integer            :: omp_get_num_threads

  call initpar()

  call sep_begin_prog()

  call from_param('add',add,.false.)
  call from_param('adj',adj,.false.)

  call param_focusmes(focusmes_par)

  stat=FocusMes_init(focusmes_par)
  stat=FocusMes_oper(focusmes_par)


!!$OMP PARALLEL
!!  write(0,*)'In Main: n_threads =',omp_get_num_threads()
!!$OMP END PARALLEL

   call sep_end_prog()

  stop	

end program FocusMes_v1
